## InfTextGtkHueChooser InfTextGtkHueChooser |

## Synopsis

                        InfTextGtkHueChooser;
    GtkWidget *         inf_text_gtk_hue_chooser_new        (void);
    GtkWidget *         inf_text_gtk_hue_chooser_new_with_hue
                                                            (gdouble hue);
    void                inf_text_gtk_hue_chooser_set_hue    (InfTextGtkHueChooser *chooser,
                                                             gdouble hue);
    gdouble             inf_text_gtk_hue_chooser_get_hue    (InfTextGtkHueChooser *chooser);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----InfTextGtkHueChooser

## Implemented Interfaces

InfTextGtkHueChooser implements AtkImplementorIface and GtkBuildable.

## Properties

      "hue"                      gdouble               : Read / Write / Construct

## Signals

      "hue-change"                                     : Run Last
      "move"                                           : Action

## Description

## Details

### InfTextGtkHueChooser

    typedef struct _InfTextGtkHueChooser InfTextGtkHueChooser;

### inf_text_gtk_hue_chooser_new ()

    GtkWidget *         inf_text_gtk_hue_chooser_new        (void);

Creates a new InfTextGtkHueChooser widget with the initial hue set to 0.0 (red).

Returns : | A newly created InfTextGtkHueChooser.

### inf_text_gtk_hue_chooser_new_with_hue ()

    GtkWidget *         inf_text_gtk_hue_chooser_new_with_hue
                                                            (gdouble hue);

Creates a new InfTextGtkHueChooser widget with the given hue as initial value. `hue` must be between 0.0 and 1.0.

`hue` : | Initial hue value
Returns : | A newly created InfTextGtkHueChooser.

### inf_text_gtk_hue_chooser_set_hue ()

    void                inf_text_gtk_hue_chooser_set_hue    (InfTextGtkHueChooser *chooser,
                                                             gdouble hue);

Sets the current hue value of `chooser` to `hue`. `hue` must be between 0.0 and 1.0.

`chooser` : | A InfTextGtkHueChooser.
`hue` : | New hue value.

### inf_text_gtk_hue_chooser_get_hue ()

    gdouble             inf_text_gtk_hue_chooser_get_hue    (InfTextGtkHueChooser *chooser);

Returns the currently selected hue value of `chooser`.

`chooser` : | A InfTextGtkHueChooser.
Returns : | The current hue value, a number between 0.0 and 1.0.

## Property Details

### The `"hue"` property

      "hue"                      gdouble               : Read / Write / Construct

The current hue value.

Allowed values: [0,1]

Default value: 0

## Signal Details

### The `"hue-change"` signal

    void                user_function                      (InfTextGtkHueChooser *inftextgtkhuechooser,
                                                            gdouble               arg1,
                                                            gpointer              user_data)                 : Run Last

`inftextgtkhuechooser` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.

### The `"move"` signal

    void                user_function                      (InfTextGtkHueChooser *inftextgtkhuechooser,
                                                            GtkDirectionType      arg1,
                                                            gpointer              user_data)                 : Action

`inftextgtkhuechooser` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.